## org.hibernate.envers.entities
Class RelationDescription

    java.lang.Object
      org.hibernate.envers.entities.RelationDescription

    public class RelationDescription

extends Object

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`RelationDescription(String fromPropertyName, RelationType relationType, String toEntityName, String mappedByPropertyName, IdMapper idMapper, PropertyMapper fakeBidirectionalRelationMapper, PropertyMapper fakeBidirectionalRelationIndexMapper, boolean insertable)`

Method Summary
`PropertyMapper` `getFakeBidirectionalRelationIndexMapper()`
`PropertyMapper` `getFakeBidirectionalRelationMapper()`
`String` `getFromPropertyName()`
`IdMapper` `getIdMapper()`
`String` `getMappedByPropertyName()`
`RelationType` `getRelationType()`
`String` `getToEntityName()`
`boolean` `isBidirectional()`
`boolean` `isInsertable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationDescription

    public RelationDescription(String fromPropertyName,
                               RelationType relationType,
                               String toEntityName,
                               String mappedByPropertyName,
                               IdMapper idMapper,
                               PropertyMapper fakeBidirectionalRelationMapper,
                               PropertyMapper fakeBidirectionalRelationIndexMapper,
                               boolean insertable)

Method Detail

### getFromPropertyName

    public String getFromPropertyName()

### getRelationType

    public RelationType getRelationType()

### getToEntityName

    public String getToEntityName()

### getMappedByPropertyName

    public String getMappedByPropertyName()

### getIdMapper

    public IdMapper getIdMapper()

### getFakeBidirectionalRelationMapper

    public PropertyMapper getFakeBidirectionalRelationMapper()

### getFakeBidirectionalRelationIndexMapper

    public PropertyMapper getFakeBidirectionalRelationIndexMapper()

### isInsertable

    public boolean isInsertable()

### isBidirectional

    public boolean isBidirectional()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.